Bug 821231 - [abrt] yelp-3.4.1-2.fc17: yelp_uri_get_query: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
[abrt] yelp-3.4.1-2.fc17: yelp_uri_get_query: Process /usr/bin/yelp was kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:172f72be8673da8ed9f981d122f...
: Tracking
: 1004317 1191742 1207379 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 07:06 EDT by Mikhail
Modified: 2016-08-11 23:46 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 23:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.03 KB, text/plain)
2012-05-13 07:06 EDT, Mikhail
no flags Details
File: backtrace (42.45 KB, text/plain)
2012-05-13 07:06 EDT, Mikhail
no flags Details
File: maps (33.64 KB, text/plain)
2012-05-13 07:06 EDT, Mikhail
no flags Details
File: dso_list (9.87 KB, text/plain)
2012-05-13 07:06 EDT, Mikhail
no flags Details
File: build_ids (4.28 KB, text/plain)
2012-05-13 07:06 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-05-13 07:06:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        yelp ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml
crash_function: yelp_uri_get_query
executable:     /usr/bin/yelp
kernel:         3.3.4-4.fc17.i686.PAE
pid:            5338
pwd:            /home/mikhail
remote_result:  800722
time:           Вс. 13 мая 2012 15:13:45
uid:            1000
username:       mikhail
xsession_errors: (yelp:5338): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion `instance != NULL && instance->g_class != NULL' failed

backtrace:      Text file, 43469 bytes
build_ids:      Text file, 4387 bytes
core_backtrace: Text file, 6175 bytes
dso_list:       Text file, 10102 bytes
maps:           Text file, 34451 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikhail/14

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=14
:HOSTNAME=ao521
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=712f11080aa5ec90698eefb000000045-1336876008.984432-835269758
:GNOME_KEYRING_CONTROL=/run/user/mikhail/keyring-eNVl2m
:IMSETTINGS_MODULE=none
:USER=mikhail
:USERNAME=mikhail
:MAIL=/var/spool/mail/mikhail
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=5717
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=1
:LOGNAME=mikhail
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TtKDTVnqS7,guid=0fb9e8a787dcf9d5cba98a29000083cd
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-K6izYO/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/5719,unix/unix:/tmp/.ICE-unix/5719
:GPG_AGENT_INFO=/run/user/mikhail/keyring-eNVl2m/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mikhail/keyring-eNVl2m/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-yelp.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5338
:DESKTOP_STARTUP_ID=gnome-terminal-6533-ao521-yelp-0_TIME58151946

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30094                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30094                30094                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mikhail/.xsession-errors
:pos:	47692
:flags:	02002
:2:/home/mikhail/.xsession-errors
:pos:	47692
:flags:	02002
:3:socket:[3975761]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[3975872]
:pos:	0
:flags:	02004002
:6:socket:[3975907]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/mikhail/.local/share/webkit/icondatabase/WebpageIcons.db
:pos:	40
:flags:	02100002

smolt_data:
:
:
:General
:=================================
:UUID: 6478aaa9-30e4-4a97-a123-b179d02652cd
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3391.32
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II Neo K125 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 1
:CPU Speed: 1700
:System Memory: 3778
:System Swap: 4095
:Vendor: Acer
:System: AO521 Not Applicable
:Form factor: Notebook
:Kernel: 3.3.4-4.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1085) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4133:1085) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:1085) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(6505:8288:4133:1085) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(5772:43:4187:57397) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1085) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1085) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38674:4133:1085) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4098:38671:4098:38674) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 6094889 3365629 3304607 1531904 1250084 1250084
:/dev/sda5 /home ext4 4096 4096 48953540 2967227 516520 12255232 12074740 12074740
:

var_log_messages:
:May 13 15:13:45 ao521 kernel: [58157.456336] yelp[5338]: segfault at 24 ip 4d5ab9ed sp bfb3b960 error 4 in libyelp.so.0.0.0[4d583000+3a000]
:May 13 15:13:47 ao521 abrt[5397]: Saved core dump of pid 5338 (/usr/bin/yelp) to /var/spool/abrt/ccpp-2012-05-13-15:13:45-5338 (73281536 bytes)
Comment 1 Mikhail 2012-05-13 07:06:43 EDT
Created attachment 584127 [details]
File: core_backtrace
Comment 2 Mikhail 2012-05-13 07:06:45 EDT
Created attachment 584128 [details]
File: backtrace
Comment 3 Mikhail 2012-05-13 07:06:49 EDT
Created attachment 584129 [details]
File: maps
Comment 4 Mikhail 2012-05-13 07:06:51 EDT
Created attachment 584130 [details]
File: dso_list
Comment 5 Mikhail 2012-05-13 07:06:54 EDT
Created attachment 584131 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-07-03 20:13:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 23:41:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Joachim Frieben 2013-08-04 23:24:55 EDT
Issue still applies to yelp-3.8.1-5.fc19; please reopen the bug report.
Comment 9 Andre Klapper 2013-12-25 09:19:26 EST
Issue still applies to yelp-3.10.1-1.fc20.i686; please reopen this bug report (or give me editbugs so I can do it myself).
Comment 10 Christopher Meng 2014-04-27 21:28:54 EDT
Rawhide happened again.
Comment 11 David King 2015-04-21 05:59:47 EDT
*** Bug 1207379 has been marked as a duplicate of this bug. ***
Comment 12 David King 2015-04-21 06:01:56 EDT
*** Bug 1191742 has been marked as a duplicate of this bug. ***
Comment 13 David King 2015-04-21 06:03:00 EDT
*** Bug 1004317 has been marked as a duplicate of this bug. ***
Comment 14 Kamil Páral 2015-10-12 05:25:50 EDT
Another user experienced a similar problem:

I think I just opened the help (by accident) and closed it immediately. Happened twice in a row (damn F1 key).

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        yelp help:gnome-help/files
crash_function: yelp_uri_get_query
executable:     /usr/bin/yelp
global_pid:     14180
kernel:         4.1.6-201.fc22.x86_64
package:        yelp-3.16.1-1.fc22
reason:         yelp killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Joachim Frieben 2016-08-11 23:46:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is no longer maintained, which means that it will not receive any further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora please feel free to reopen this bug against that version. If you are unable to reopen this bug, please file a new report against the current release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.